Subject: Re: [PATCH 0/3] Initial AMCC Bamboo support

From: David Gibson <[email-masked]>
Date: Tue, 15 May 2007 11:26:29 +1000

On Mon, May 14, 2007 at 09:56:48AM -0500, Josh Boyer wrote:
> Hi All,
> 
> The following patches add the initial AMCC Bamboo eval board support.  
> 
> The support for peripheral devices at the moment is rather limited as
> the board is quite complicated in it's muxing of I/O lines.  Until the
> bootwrapper can figure out how to setup the EBC peripherals based on the
> dip switch settings, the DTS will lack any EBC devices.

Ick.  Can you describe roughly the setup here?  It might be that the
simplest approach is to include all options in the DTS, and delete
ones that aren't selected from the bootwrapper.

I have a patch which might help here, which fills in the ebc's
'ranges' property based on the contents of the EBC bridge registers.
I'm using it as part of the code necessary to get the right address
for the Ebony flash depending on DIP switch settings.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson